Quick Voice technical docs
Endpoint, auth header, parameters, prices, and tested request examples for Imole Quick Voice.
Endpoint and pricing
Request headers
Authorization required
Bearer Imole API key.
Content-Type required
Use application/json for JSON requests.
Request parameters
model required
Use imole-quick-voice.
text required
Text to synthesize.
provider
Engine selector.
edge, googlewith_subtitles
Generate subtitles with the Edge route.
true, falsevoice
Edge voice id, such as fr-FR-DeniseNeural.
rate
Edge speed adjustment.
pitch
Edge pitch adjustment.
volume
Edge volume adjustment.
lang
Google TTS language code.
slow
Google TTS slow mode.
true, falsetld
Google accent domain.
com, ca, co.ukTested request examples
curl -X POST "https://api.imole.app/v1/audio/speech" \
-H "Authorization: Bearer $IMOLE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "imole-quick-voice",
"text": "Bonjour. Ceci est un test.",
"voice": "fr-FR-DeniseNeural",
"rate": "+0%",
"pitch": "+0Hz",
"volume": "+0%"
}'curl -X POST "https://api.imole.app/v1/audio/speech" \
-H "Authorization: Bearer $IMOLE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "imole-quick-voice",
"provider": "google",
"text": "Bonjour. Ceci est un test.",
"lang": "fr",
"slow": false,
"tld": "com"
}'curl -X POST "https://api.imole.app/v1/audio/speech" \
-H "Authorization: Bearer $IMOLE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "imole-quick-voice",
"text": "Bonjour. Ceci est un test avec sous titres.",
"with_subtitles": true,
"voice": "fr-FR-DeniseNeural"
}'curl -H "Authorization: Bearer $IMOLE_API_KEY" "https://api.imole.app/v1/audio/jobs/$JOB_ID"curl -L -H "Authorization: Bearer $IMOLE_API_KEY" "https://api.imole.app/v1/audio/jobs/$JOB_ID/content" -o imole-quick-voice.mp3